**Manga Mirai Project**

This is one stop platform for Manga lovers...

Here you can meet the poeple that share same interest with you, all about manga, you can post your recomended manga so the other community can aware for your favorite too


read every synopsis written by other wibu and rate your favorite to rank them up in the community!!